
%Plotting
fig=figure(71);
font_size   = 25;
errors = 1e-2*[2.68 2.43 1.52 0.96 6.88 4.35 4.43 3.45 10.31 9.68] *2;
errorbar(100*lambda_bar,100*errors, 'Linewidth',2,'color',[ 0.8 0.2 0.1],'linestyle','none','Marker','o')
set(gca,'xticklabel',{maturities})
hold on
plot(100*lambda_bar_vec,'Linewidth',2,'color',[ 1 1 1],'linestyle','-','Marker','o','MarkerEdgeColor', [ 0.2 0.8 0.1], 'MarkerSize',8)
grid
set(gca,'FontSize',12)
xlabel('Maturity (months)','FontSize',font_size,'interpreter','latex')
ylabel('Liquidity costs, $\Lambda$ (bp)','FontSize',font_size,'interpreter','latex')
legend({'$\Lambda$ estimated from auctions','$\Lambda$ inferred from issuances'},'Box','off','FontSize',font_size-4,'interpreter','latex','location','best');

 orient(fig,'landscape')
 print('lambda.pdf', '-dpdf','-r800','-fillpage') 
%%
fig=figure(73);
set(fig,'defaultLegendAutoUpdate','off');
font_size   = 25;
h=bar([100*issuances]','EdgeColor','none');
set(gca,'xticklabel',{maturities})
grid
xlabel('Maturity (months)','FontSize',font_size,'interpreter','latex')
ylabel('$\%$ annual GDP ','FontSize',font_size-2,'interpreter','latex')
% title('(a) Issuances','FontSize',font_size,'interpreter','latex')
set(gca,'FontSize',20)
orient(fig,'landscape')
print('RSS_panel_1.pdf', '-dpdf','-r800','-fillpage') 